Redmine - Patch #28138

Add link to add a new issue on the version page
2018-02-05 17:24 - Holger Just

Status: Closed Start date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.1.0

Description

When showing a single version, a common task is to edit issues there. For existing issues, users can easily use the context menu for
that. To add issues however requires a rather complex workflow to go to the "new issue" page, select the version and create the
issue.

The attached patch against the current trunk at r17192 adds a new link to the show page of a single version to directly add a new
issue for that version in the version's project. It links to a pre-configured add-issue form. The patch was extracted from Planio.

Related issues:
Has duplicate Redmine - Feature #5005: "New issue" link near roadmap issue li... Closed 2010-03-07

Associated revisions

Revision 18755 - 2019-10-19 12:22 - Jean-Philippe Lang

Display new issue link in version page (#28138).

Patch by Marius BALTEANU.

Revision 18756 - 2019-10-19 12:23 - Jean-Philippe Lang

Return to version page after the issue is created (#28138).

Patch by Marius BALTEANU.

History

#1 - 2018-02-11 07:48 - Go MAEDA

- Has duplicate Feature #5005: "New issue" link near roadmap issue lists. added
#2 - 2018-02-11 16:43 - Marius BALTEANU
Really nice improvement.

| think that we need some tests to cover the cases when the "Add issue" button should be shown or not. holger mareck, if you can't add them, | can
do it in the next weeks.

#3 - 2018-02-24 05:33 - Go MAEDA
- Target version set to Candidate for next major release
| really like this improvement. In fact, | posted a similar patch #5005#note-6 years ago.

But | noticed that the "New issue" link is displayed even if the version is locked or closed. | think it would be better to check the status of the version
when showing the link.

#4 - 2018-02-25 03:24 - Mischa The Evil

I'm just reading along — visually scanning the patches, while being aware of #5005. Nevertheless, | wanted to drop a thought regarding this patch.

In addition to the thing mentioned by Go in the previous note, the patch also doesn't seem to consider (at least) one of the two cases that
Jean-Philippe mentioned in #5005#note-8, namely the possibility that the target version field may be read-only for the user. | am not entirely sure that
the second case (target version field being not available for the default tracker) is properly covered by this patch, though. It looks like it, but I'd need to

test that specifically.

Despite all the difficulties, | do like the actual proposal (just like | liked #5005).

#5 - 2019-03-01 16:11 - Yuuki NARA

2025-07-11 1/2



https://www.redmine.org/projects/redmine/repository/svn/revisions/17192
https://plan.io/redmine-hosting/
https://www.redmine.org/users/13581
https://www.redmine.org/issues/5005#note-6
https://www.redmine.org/issues/5005
https://www.redmine.org/issues/5005#note-8
https://www.redmine.org/issues/5005

+1

#6 - 2019-03-02 07:52 - Yuuki NARA

| added the following to the display condition of the issue addition button.
In my environment, this works well.

<% if @project.active? %>
<% 1if @version.open? %>

Below are the changes of my customized repository.
https://github.com/y503unavailable/redmine/commit/50e61c086bee55dfc74543a6931cb264f9a2e54e

#7 - 2019-06-25 19:05 - Marius BALTEANU
- File 0001-Display-new-issue-link-in-version-page.patch added

- File 0002-Return-to-version-page-after-the-issue-is-created.patch added

Based on the work made by Holger and Yuuki, | tried to create a new patch which takes into account all the conditions required for a user to add a
new issue to a specific target version. The hardest part was to check if the user has permissions to edit the "Target version" field according to the
workflow because without this, we can have cases where the "New issue" link points to a tracker without "Target version" field enabled (to reproduce:
go to Workflow and set "Read only" permissions on all trackers and for all roles). I'm not very happy with the solution found, but it was the quickest.
Also, I'm attaching a second patch that returns the user to the version page after creating the issue.
Any feedback on this is welcome.
#8 - 2019-09-09 20:23 - Marius BALTEANU
- Target version changed from Candidate for next major release to 4.1.0
Jean-Philippe Lang wrote in #5005#note-8:

Actually, this patch is problematic. There are many cases where these links wouldn't work, eg. the target version field is read-only for the user

(just like here on redmine.org), or not available for the default tracker.

Can you take a look on my proposed patch from my previous note? It should cover most of the cases.

#9 - 2019-09-10 07:02 - Marius BALTEANU
- Assignee set to Jean-Philippe Lang

#10 - 2019-10-19 12:23 - Jean-Philippe Lang

- Status changed from New to Closed

Committed, thanks.

Files

0001-Add-New-issue-button-on-version-show-page.patch 1.65 KB 2018-02-05 Holger Just
0001-Display-new-issue-link-in-version-page.patch 5.72 KB 2019-06-25 Marius BALTEANU
0002-Return-to-version-page-after-the-issue-is-created.patch 2.36 KB 2019-06-25 Marius BALTEANU
